Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.webcommon30
Class OrderingOrderingTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.webcommon30.OrderingOrderingTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, OrderingOrderingType<T>

    public class OrderingOrderingTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, OrderingOrderingType<T>

This class implements the `ordering-orderingType` xsd type

Original Documentation:

This element contains a sequence of "name" elements, each of
which
refers to an application configuration resource by the "name"
declared on its web.xml fragment. This element can also contain
a single "others" element which specifies that this document
comes
before or after other documents within the application.
See section 8.2.2 of the specification for details.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`OrderingOrderingTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`OrderingOrderingTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getNameList()` Returns all `name` elements
`java.lang.Boolean` | `isOthers()`
`OrderingOrderingType<T>` | `others()`
`OrderingOrderingType<T>` | `removeAllName()` Removes the `name` element
`OrderingOrderingType<T>` | `setName(java.lang.String name)` Creates a new `name` element
`OrderingOrderingType<T>` | `setNameList(java.lang.String... values)` Creates for all String objects representing `name` elements, a new `name` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderingOrderingTypeImpl

    public OrderingOrderingTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node)

### OrderingOrderingTypeImpl

    public OrderingOrderingTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node,
                                    org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setName

    public OrderingOrderingType<T> setName(java.lang.String name)

  Creates a new `name` element

  Specified by:
    `setName` in interface `OrderingOrderingType<T>`
  Returns:
    the current instance of `OrderingOrderingType`

### setNameList

    public OrderingOrderingType<T> setNameList(java.lang.String... values)

  Creates for all String objects representing `name` elements, a new `name` element

  Specified by:
    `setNameList` in interface `OrderingOrderingType<T>`
  Parameters:
    `list` - of `name` objects
  Returns:
    the current instance of `OrderingOrderingType`

### removeAllName

    public OrderingOrderingType<T> removeAllName()

  Removes the `name` element

  Specified by:
    `removeAllName` in interface `OrderingOrderingType<T>`
  Returns:
    the current instance of `OrderingOrderingType`

### getNameList

    public java.util.List<java.lang.String> getNameList()

  Returns all `name` elements

  Specified by:
    `getNameList` in interface `OrderingOrderingType<T>`
  Returns:
    list of `name`

### others

    public OrderingOrderingType<T> others()

  Specified by:
    `others` in interface `OrderingOrderingType<T>`

### isOthers

    public java.lang.Boolean isOthers()

  Specified by:
    `isOthers` in interface `OrderingOrderingType<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD